#!/bin/sh

# Borg repo location
REPOSITORY=/var/backup/database.borg/
# Example of remote repo
# REPOSITORY=ssh://backuper@192.168.1.100/var/backup/database.borg/

borgDoBackup() {

        sudo -u postgres pg_dumpall > /var/backups/posgresql.sql
        borg create -v --stats --compression zlib,6 $REPOSITORY::`date +%Y-%m-%d-%H:%M` /var/backups/posgresql.sql
        rm /var/backups/posgresql.sql
        borg prune -v $REPOSITORY --keep-daily=3 --keep-weekly=2 --keep-monthly=12
        echo "`date +[%F/%T]` Done!"

}

repoid=$(grep "id" $REPOSITORY/config | awk '{print $3}')
procid=$(pgrep borg | tail -1)

if [ -d $REPOSITORY/lock.exclusive ] || [ -d /root/.cache/borg/$repoid/lock.exclusive ]; then

        if [ ! -z $procid ]; then

                echo "`date +[%F/%T]` Seems like the borg repo is busy at the moment, I will try again in 30 min"
                at now + 30 minutes -f $0
                exit

        else

                if [ -d $REPOSITORY/lock.exclusive ]; then

                        rm -r $REPOSITORY/lock.*

                fi
                if [ -d /root/.cache/borg/$repoid/lock.exclusive ]; then

                        rm -r /root/.cache/borg/$repoid/lock.*

                fi

                borgDoBackup

        fi

else

        borgDoBackup

fi


exit